# Function useFiles

- useFiles(__namedParameters): DropzoneState

- #### Parameters

  - __namedParameters: {
    containerId: Id;
    insert?: any;
    onDrop: ((files: any, a: any, event: any, prevent: any) => void);
    onInsert: ((id: any, files: any, a: any, event: any) => void);
    prevent?: boolean;
    [key: string]: any;
    }

    - ##### [key: string]: any

    - ##### containerId: Id

    - ##### `Optional` insert?: any

    - ##### onDrop: ((files: any, a: any, event: any, prevent: any) => void)

      - - (files, a, event, prevent): void

        - #### Parameters

          - files: any
          - a: any
          - event: any
          - prevent: any

          #### Returns void

    - ##### onInsert: ((id: any, files: any, a: any, event: any) => void)

      - - (id, files, a, event): void

        - #### Parameters

          - id: any
          - files: any
          - a: any
          - event: any

          #### Returns void

    - ##### `Optional` prevent?: boolean

  #### Returns DropzoneState

  - Defined in work/deeplinks/deeplinks/imports/files.tsx:78